Index: /data/media/levels/teambasematchlevel.oxw
===================================================================
--- /data/media/levels/teambasematchlevel.oxw	(revision 5544)
+++ /data/media/levels/teambasematchlevel.oxw	(revision 5545)
@@ -22,19 +22,34 @@
      name              = "base 1"
      position          = "1200, 0, 0"
-
-     health            = 100
-     maxhealth         = 100
-     initialhealth     = 100
-
-     collisionType     = "dynamic"
-     mass              = 10000
-     linearDamping     = 0.9
-     angularDamping    = 0.99999
-    >
-      <attached>
-        <Model scale=40 mesh="ast1.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="100" />
+     pitch = -90
+
+     health            = 100
+     maxhealth         = 100
+     initialhealth     = 100
+
+     collisionType     = "dynamic"
+     mass              = 10000
+     linearDamping     = 0.9
+     angularDamping    = 0.99999
+    >
+      <attached>
+        <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
+	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
+	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+<?lua
+for i = 1, 10, 1 
+do ?>
+        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events><spawn><EventListener event="base 1" /></spawn></events>
+        </ParticleSpawner>
+<?lua 
+end
+?>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
       </collisionShapes>
     </TeamBaseMatchBase>
@@ -44,19 +59,34 @@
      name              = "base 2"
      position          = "-1200, 0, 0"
-
-     health            = 100
-     maxhealth         = 100
-     initialhealth     = 100
-
-     collisionType     = "dynamic"
-     mass              = 10000
-     linearDamping     = 0.9
-     angularDamping    = 0.99999
-    >
-      <attached>
-        <Model scale=40 mesh="ast1.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="100" />
+     pitch = -90
+
+     health            = 100
+     maxhealth         = 100
+     initialhealth     = 100
+
+     collisionType     = "dynamic"
+     mass              = 10000
+     linearDamping     = 0.9
+     angularDamping    = 0.99999
+    >
+      <attached>
+        <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
+	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
+	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+<?lua
+for i = 1, 10, 1 
+do ?>
+        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events><spawn><EventListener event="base 2" /></spawn></events>
+        </ParticleSpawner>
+<?lua 
+end
+?>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
       </collisionShapes>
     </TeamBaseMatchBase>
@@ -66,19 +96,34 @@
      name              = "base 3"
      position          = "0, 0, 1200"
-
-     health            = 100
-     maxhealth         = 100
-     initialhealth     = 100
-
-     collisionType     = "dynamic"
-     mass              = 10000
-     linearDamping     = 0.9
-     angularDamping    = 0.99999
-    >
-      <attached>
-        <Model scale=40 mesh="ast1.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="100" />
+     pitch = -90
+
+     health            = 100
+     maxhealth         = 100
+     initialhealth     = 100
+
+     collisionType     = "dynamic"
+     mass              = 10000
+     linearDamping     = 0.9
+     angularDamping    = 0.99999
+    >
+      <attached>
+        <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
+	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
+	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+<?lua
+for i = 1, 10, 1 
+do ?>
+        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events><spawn><EventListener event="base 3" /></spawn></events>
+        </ParticleSpawner>
+<?lua 
+end
+?>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
       </collisionShapes>
     </TeamBaseMatchBase>
@@ -91,15 +136,30 @@
      maxhealth         = 100
      initialhealth     = 100
-
-     collisionType     = "dynamic"
-     mass              = 10000
-     linearDamping     = 0.9
-     angularDamping    = 0.99999
-    >
-      <attached>
-        <Model scale=40 mesh="ast1.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="100" />
+     pitch = -90
+
+     collisionType     = "dynamic"
+     mass              = 10000
+     linearDamping     = 0.9
+     angularDamping    = 0.99999
+    >
+      <attached>
+        <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
+	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
+	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+<?lua
+for i = 1, 10, 1 
+do ?>
+        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events><spawn><EventListener event="base 4" /></spawn></events>
+        </ParticleSpawner>
+<?lua 
+end
+?>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
       </collisionShapes>
     </TeamBaseMatchBase>
@@ -109,19 +169,34 @@
      name              = "base 5"
      position          = "0, 0, 0"
-
-     health            = 100
-     maxhealth         = 100
-     initialhealth     = 100
-
-     collisionType     = "dynamic"
-     mass              = 10000
-     linearDamping     = 0.9
-     angularDamping    = 0.99999
-    >
-      <attached>
-        <Model scale=40 mesh="ast1.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="100" />
+     pitch = -90
+
+     health            = 100
+     maxhealth         = 100
+     initialhealth     = 100
+
+     collisionType     = "dynamic"
+     mass              = 10000
+     linearDamping     = 0.9
+     angularDamping    = 0.99999
+    >
+      <attached>
+        <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
+	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
+	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+<?lua
+for i = 1, 10, 1 
+do ?>
+        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events><spawn><EventListener event="base 5" /></spawn></events>
+        </ParticleSpawner>
+<?lua 
+end
+?>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
       </collisionShapes>
     </TeamBaseMatchBase>
